--OSD Preset Playlists 

local tt={
{"Sibir (Russian)","user/tvplaylists/sibir/loadsibirm3u.lua"},
{"Miralogic (Russian)","user/tvplaylists/miralogic/loadmiralogicm3u.lua"},
--{"Zabava (Russian)","user/tvplaylists/zabava/loadzabavam3u.lua"},
{"NTV Plus (Russian) VIP","user/tvplaylists/ntv/loadntvplusm3u.lua"},
{"Triolan (Ukraine)","user/tvplaylists/triolan/loadtriolanm3u.lua"},
--{"Divan (Ukraine)","user/tvplaylists/divan/loaddivanm3u.lua"},
--{"Sat-x (Russian)",'user/tvplaylists/satx/loadsatxm3u.lua') 
{"CDS (Ukraine)","user/tvplaylists/cds/loadcdsm3u.lua"},
{"Load all playlists","user/tvplaylists/tvscr/loadallpresetpls.lua"},
{"Back to main menu","user/tvplaylists/tvinit.lua"},
}

local t ={}
for i=1,#tt do
      t[i] = {}
      t[i].Id   =  i
      t[i].Name =  tt[i][1]
      t[i].Adress  = ''
      t[i].Action  = tt[i][2]
  end
local ret,id = m_simpleTV.OSD.ShowSelect('Select playlists',0,t,10000,1+4+8)
     if ret==1 then 
	dofile(m_simpleTV.MainScriptDir .. t[id].Action)
      end
